Redmine - Feature #7599

Allow for multiple useraccounts with same email address
2011-02-10 09:08 - Arno Schoenmakers

Status: Closed Start date: 2011-02-10
Priority: Normal Due date:

Assignee: Jean-Baptiste Barth % Done: 0%
Category: Administration Estimated time: 0.00 hour

Target version:

Resolution: Wont fix

Description

| am both administrator and worker on several projects. For this | use different user accounts. However, | cannot set the email
addresses equal (Redmine does not allow that). Can that be changed? Fine to have a warning if you register as a user with an
already used email account, but leave it up to the user to accept that or not. That would solve my problem.

Related issues:
Is duplicate of Redmine - Feature #688: Allow the same email for two accounts Reopened 2008-02-18

History

#1 - 2011-02-10 09:28 - Etienne Massip

- Category set to Administration

#2 - 2011-02-10 09:45 - Felix Schéfer

Not sure this is feasible as certain parts of Redmine recognize users based on their mail address, especially when Redmine receives mails.

#3 - 2011-02-12 15:42 - Jean-Baptiste Barth
- Status changed from New to Closed
- Assignee set to Jean-Baptiste Barth

- Resolution set to Wont fix

Assuming your email address is john@doe.com, maybe you could try to use john+redmineadmin@doe.com for your admin account. Many email
providers / MTA accept the + as an easy convention to tag your address, and route every mail to the same final box.

Anyway, as Felix said, | think making email addresses not unique would be a bad idea, so | close this issue. Anyway, I'd be curious to have your
feedback about this.

#4 - 2011-03-03 22:42 - Arno Schoenmakers

Hi,

| tried this, but our mail system apparently isn't fooled by this trick... Too bad.
Thanks,

Arno

#5 - 2011-03-10 13:08 - Manuel Duran Aguete

Hello,

| think that allowing duplicate mail address is a good feature, | need it to assign "support@mydomain.com" to all support team, and when the
developer team updates a issue the notification goes to a common mailbox not only to the reporter.

Best Regards.
#6 - 2012-08-23 16:19 - Anonymous

Duplicate of #688, where the discussion is more in-depth
(in case anyone else ends up here after Googling as | did)

2025-05-17 1/1



mailto:support@mydomain.com
https://www.redmine.org/issues/688
http://www.tcpdf.org

